[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

octave3.2 FTBFS on powerpc

The octave3.2 package failed to build from source on powerpc [1] with the
following error:

    The following packages have unmet dependencies:
      libarpack2-dev: Depends: libarpack2 but it is not going to be installed
    E: Broken packages
Indeed, libarpack2 is broken on powerpc because of a lacking libopenmpi1
dependency.  If I understand it correctly, the bin-NMU 2.1+parpack96.dfsg-2+b1
of the arpack package was intended to remedy this, but it also FTBFS [2] with:

    Setting up libopenmpi-dev (1.3.2-2) ...
    update-alternatives: error: alternative mpicc can't be slave of mpi: it is a master alternative.

I simply do not understand the error message above.  Perhaps we should
just try the bin-NMU again.  At any rate, I think tht the following would
be appropriate:

    dw octave3.2_3.2.0-1 . powerpc . -m 'arpack (>= 2.1+parpack96.dfsg-2+b1)' 

1: https://buildd.debian.org/fetch.cgi?&pkg=octave3.2&ver=3.2.0-1&arch=powerpc&stamp=1244368277&file=log
2: https://buildd.debian.org/fetch.cgi?&pkg=arpack&ver=2.1%2Bparpack96.dfsg-2%2Bb1&arch=powerpc&stamp=1243688570&file=log



Reply to: